Bug 1731335 - [abrt] xfce4-panel: g_list_foreach(): xfce4-panel killed by SIGSEGV
Summary: [abrt] xfce4-panel: g_list_foreach(): xfce4-panel killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-panel
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7893c3ba23d4187a7f1263a5951...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-19 07:04 UTC by David
Modified: 2019-11-27 23:02 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:02:12 UTC


Attachments (Terms of Use)
File: backtrace (21.53 KB, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: cgroup (331 bytes, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: core_backtrace (9.59 KB, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: cpuinfo (1.29 KB, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: dso_list (10.39 KB, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: environ (1.41 KB, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-19 07:04 UTC, David
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-19 07:04 UTC, David
no flags Details

Description David 2019-07-19 07:04:00 UTC
Description of problem:
Had just downloaded the latest Virtualbox binaries. Crashed when I clicked the saved file to install. The install worked OK. 

Version-Release number of selected component:
xfce4-panel-4.13.4-1.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 4
cmdline:        xfce4-panel --display :0.0 --sm-client-id 263d0e581-bc06-454e-b2c9-047ccd352b71
crash_function: g_list_foreach
executable:     /usr/bin/xfce4-panel
journald_cursor: s=70fd86696d044a60bd87ba4828d957cc;i=1eead;b=4a5ad72c75e749ab803c5c93950c961d;m=cea281c1;t=58e032d1ac7d9;x=9ea5aec99b32a8f4
kernel:         5.1.16-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_list_foreach at glist.c:1012
 #1 g_list_free_full at glist.c:223
 #2 garcon_menu_item_finalize at garcon-menu-item.c:424
 #5 g_hash_table_remove_all_nodes at ghash.c:552
 #7 g_hash_table_remove_all at ghash.c:1508
 #8 garcon_menu_item_pool_clear at garcon-menu-item-pool.c:217
 #9 garcon_menu_clear at garcon-menu.c:376
 #10 garcon_menu_finalize at garcon-menu.c:394
 #13 g_list_foreach at glist.c:1013
 #14 g_list_free_full at glist.c:223

Potential duplicate: bug 1694499

Comment 1 David 2019-07-19 07:04:04 UTC
Created attachment 1591912 [details]
File: backtrace

Comment 2 David 2019-07-19 07:04:05 UTC
Created attachment 1591913 [details]
File: cgroup

Comment 3 David 2019-07-19 07:04:06 UTC
Created attachment 1591914 [details]
File: core_backtrace

Comment 4 David 2019-07-19 07:04:07 UTC
Created attachment 1591915 [details]
File: cpuinfo

Comment 5 David 2019-07-19 07:04:08 UTC
Created attachment 1591916 [details]
File: dso_list

Comment 6 David 2019-07-19 07:04:09 UTC
Created attachment 1591917 [details]
File: environ

Comment 7 David 2019-07-19 07:04:10 UTC
Created attachment 1591918 [details]
File: exploitable

Comment 8 David 2019-07-19 07:04:12 UTC
Created attachment 1591919 [details]
File: limits

Comment 9 Ben Cotton 2019-10-31 19:03:05 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-11-27 23:02:12 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.